tcdrain(3)

NAME
tcdrain - block until output is transmitted

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <termios.h>

int tcdrain(int fd);

DESCRIPTION
tcdrain() waits until all output written to the object referred to by fd has been transmitted.

RETURN VALUE

0   on success.

-1  on failure and set errno to indicate the error.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS
POSIX.1-2008.

HISTORY
POSIX.1-2001.

SEE ALSO
tcsendbreak(3), tcflush(3), tcflow(3), termios(7)